Subject: Re: [PATCH 1/9] task_struct: add PF_NONOTIFY for fanotify to use

From: Evgeniy Polyakov <[email-masked]>
Date: Sat, 29 Aug 2009 02:36:26 +0400

Hi.

On Fri, Aug 28, 2009 at 02:55:42PM -0400, Eric Paris ([email-masked]) wrote:
> Since fanotify opens file descriptors inside the kernel for it's listeners
> it needs a way to make sure that 2 fanotify listeners, both which listen to
> open events do not continuously see each others open events (and get into a
> livelock reporting on each other's activity).  This fix is to create a new
> tast_struct flags called PF_NONOTIFY.  If this flag is set in a task no
> fanotify events will be generated for that task.   fanotify will set the
> flag before and open call and will clear it immediately after.

Is there a way to get old-school notifications with the object
information instead of opened file desriptor, which may suffer rlimit
problems and scalability issues with too many opened/closed descriptors?

-- 
	Evgeniy Polyakov